### Method

# GExiv2 Metadata try_set_metadata_pixel_width

deprecated: 0.16.0 since: 0.14.0

#### Declaration [src]

    void
    gexiv2_metadata_try_set_metadata_pixel_width (
      GExiv2Metadata* self,
      gint width,
      GError** error
    )

#### Description [src]

Composite setter to update the image’s metadata with `width`.

Available since: 0.14.0

Deprecated since: 0.16.0

Use `gexiv2_metadata_set_metadata_pixel_width()` instead.

#### Parameters

`width`

  Type: `gint`

  The width of the image as it should be put into the metadata.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.